UserDatabaseRealm.UserDatabasePrincipal (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.catalina.realm

## Class UserDatabaseRealm.UserDatabasePrincipal

- java.lang.Object
- - org.apache.catalina.realm.GenericPrincipal
  - - org.apache.catalina.realm.UserDatabaseRealm.UserDatabasePrincipal

- All Implemented Interfaces:
    `java.io.Serializable`, `java.security.Principal`, `TomcatPrincipal`
  Enclosing class:
    UserDatabaseRealm

      public static final class UserDatabaseRealm.UserDatabasePrincipal
      extends GenericPrincipal

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.realm.GenericPrincipal

      `gssCredential, loginContext, name, password, roles, userPrincipal`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserDatabasePrincipal​(User user, UserDatabase database)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getRoles()` |
    `boolean` | `hasRole​(java.lang.String role)` | Does the user represented by this Principal possess the specified role?

    - ### Methods inherited from class org.apache.catalina.realm.GenericPrincipal

      `getGssCredential, getName, getPassword, getUserPrincipal, logout, setGssCredential, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode, implies`

- - ### Constructor Detail

    - #### UserDatabasePrincipal

          public UserDatabasePrincipal​(User user,
                                       UserDatabase database)

  - ### Method Detail

    - #### getRoles

          public java.lang.String[] getRoles()

      Overrides:
        `getRoles` in class `GenericPrincipal`

    - #### hasRole

          public boolean hasRole​(java.lang.String role)

      Description copied from class: `GenericPrincipal`
      Does the user represented by this Principal possess the specified role?
      Overrides:
        `hasRole` in class `GenericPrincipal`
      Parameters:
        `role` - Role to be tested
      Returns:
        `true` if this Principal has been assigned the given role, otherwise `false`